Bug 1418431 - [abrt] kf5-kinit: KIO::SlaveBase::exit(): kdeinit5 killed by SIGSEGV
Summary: [abrt] kf5-kinit: KIO::SlaveBase::exit(): kdeinit5 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kinit
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cb18fd8979b70076b73174679a6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 19:57 UTC by Juan manuel Lobos
Modified: 2017-08-08 19:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:37:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (26.84 KB, text/plain)
2017-02-01 19:57 UTC, Juan manuel Lobos
no flags Details
File: cgroup (242 bytes, text/plain)
2017-02-01 19:57 UTC, Juan manuel Lobos
no flags Details
File: core_backtrace (3.84 KB, text/plain)
2017-02-01 19:57 UTC, Juan manuel Lobos
no flags Details
File: dso_list (15.02 KB, text/plain)
2017-02-01 19:57 UTC, Juan manuel Lobos
no flags Details
File: environ (4.89 KB, text/plain)
2017-02-01 19:57 UTC, Juan manuel Lobos
no flags Details
File: exploitable (110 bytes, text/plain)
2017-02-01 19:57 UTC, Juan manuel Lobos
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-01 19:57 UTC, Juan manuel Lobos
no flags Details
File: maps (60.31 KB, text/plain)
2017-02-01 19:57 UTC, Juan manuel Lobos
no flags Details
File: mountinfo (3.47 KB, text/plain)
2017-02-01 19:58 UTC, Juan manuel Lobos
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-01 19:58 UTC, Juan manuel Lobos
no flags Details
File: open_fds (617 bytes, text/plain)
2017-02-01 19:58 UTC, Juan manuel Lobos
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-02-01 19:58 UTC, Juan manuel Lobos
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-02-01 19:58 UTC, Juan manuel Lobos
no flags Details

Description Juan manuel Lobos 2017-02-01 19:57:34 UTC
Description of problem:
Initializing KDE environment after Kernel update

Version-Release number of selected component:
kf5-kinit-5.29.0-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        'thumbnail.so [kdeinit5] thumbnail local:/run/user/1000/klauncherTJ1544.1.slave-socket local:/run/user/1000/dolphinBC2215.5.slave-socket'
crash_function: KIO::SlaveBase::exit
executable:     /usr/bin/kdeinit5
global_pid:     2244
kernel:         4.9.6-100.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #2 KIO::SlaveBase::exit at /usr/src/debug/kio-5.29.0/src/core/slavebase.cpp:645
 #3 KIO::SlaveBase::mimeType at /usr/src/debug/kio-5.29.0/src/core/slavebase.cpp:622
 #4 ThumbnailProtocol::get at /usr/src/debug/kio-extras-16.08.3/thumbnail/thumbnail.cpp:343
 #5 KIO::SlaveBase::dispatch at /usr/src/debug/kio-5.29.0/src/core/slavebase.cpp:1138
 #6 KIO::SlaveBase::dispatchLoop at /usr/src/debug/kio-5.29.0/src/core/slavebase.cpp:303
 #7 kdemain at /usr/src/debug/kio-extras-16.08.3/thumbnail/thumbnail.cpp:129
 #8 launch at /usr/src/debug/kinit-5.29.0/src/kdeinit/kinit.cpp:705
 #9 handle_launcher_request at /usr/src/debug/kinit-5.29.0/src/kdeinit/kinit.cpp:1147
 #10 handle_requests at /usr/src/debug/kinit-5.29.0/src/kdeinit/kinit.cpp:1338

Potential duplicate: bug 1301320

Comment 1 Juan manuel Lobos 2017-02-01 19:57:43 UTC
Created attachment 1246807 [details]
File: backtrace

Comment 2 Juan manuel Lobos 2017-02-01 19:57:45 UTC
Created attachment 1246808 [details]
File: cgroup

Comment 3 Juan manuel Lobos 2017-02-01 19:57:47 UTC
Created attachment 1246809 [details]
File: core_backtrace

Comment 4 Juan manuel Lobos 2017-02-01 19:57:49 UTC
Created attachment 1246810 [details]
File: dso_list

Comment 5 Juan manuel Lobos 2017-02-01 19:57:51 UTC
Created attachment 1246811 [details]
File: environ

Comment 6 Juan manuel Lobos 2017-02-01 19:57:52 UTC
Created attachment 1246812 [details]
File: exploitable

Comment 7 Juan manuel Lobos 2017-02-01 19:57:54 UTC
Created attachment 1246813 [details]
File: limits

Comment 8 Juan manuel Lobos 2017-02-01 19:57:59 UTC
Created attachment 1246814 [details]
File: maps

Comment 9 Juan manuel Lobos 2017-02-01 19:58:00 UTC
Created attachment 1246815 [details]
File: mountinfo

Comment 10 Juan manuel Lobos 2017-02-01 19:58:02 UTC
Created attachment 1246816 [details]
File: namespaces

Comment 11 Juan manuel Lobos 2017-02-01 19:58:04 UTC
Created attachment 1246817 [details]
File: open_fds

Comment 12 Juan manuel Lobos 2017-02-01 19:58:06 UTC
Created attachment 1246818 [details]
File: proc_pid_status

Comment 13 Juan manuel Lobos 2017-02-01 19:58:07 UTC
Created attachment 1246819 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-26 00:13:58 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 19:37:16 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.